
QGIS Application - Bug report #17450

values for cached join fields randomely become null when dragging canvas

2017-11-14 06:32 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Vectors

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25347

Description

I've finally been able to reduce this features going missing issue that's been haunting me for a while now.

When doing multiple joins like this: i.e. fields ORIGINAL -> joined fields A linked through a field in ORIGINAL -> joined fields B

linked through a joined field in A

 the values will get lost every now and then when those joins are cached.

Steps to reproduce

    1. Open the attached join_cache test project

    2. When the project opens, start rapidly panning the canvas around (small steps using the mouse's middle button is the easiest way)

    3. You'll notice the dark pink polygons going missing after every few pans (see gonebabygone.mp4 video too)

This does not only affect feature rendering, saving the layer (with all its joins) can actually write null values for joined fields B.

Associated revisions

Revision 333a8e9e - 2017-11-22 08:30 AM - Paul Blottiere

Fixes #17450 by correctly setting the join info ordered list

Revision 5945a84d - 2017-11-22 09:32 AM - Paul Blottiere

Merge pull request #5638 from pblottiere/bugfix_joins

[bugfix] Fixes #17450 by correctly setting the join info ordered list

History

#1 - 2017-11-14 06:33 AM - Mathieu Pellerin - nIRV

- Description updated

#2 - 2017-11-14 06:35 AM - Mathieu Pellerin - nIRV

- File gonebabygone.mp4 added

Better video, featuring the reduced test project attached.

#3 - 2017-11-14 09:03 AM - Giovanni Manghi

- Regression? changed from No to Yes
Seems also to not happen in 2.18(?).

#4 - 2017-11-15 08:30 AM - Paul Blottiere

- Assignee set to Paul Blottiere

#5 - 2017-11-15 02:51 PM - Regis Haubourg

PR proposed here [[https://github.com/qgis/QGIS/pull/5638]]

#6 - 2017-11-22 09:31 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|333a8e9e9464f4901d185a410be64fcc2b1c2c9c.

Files

join_cache_issue.zip 3.14 MB 2017-11-14 Mathieu Pellerin - nIRV

gonebabygone.mp4 2.26 MB 2017-11-14 Mathieu Pellerin - nIRV

gonebabygone.mp4 1.14 MB 2017-11-14 Mathieu Pellerin - nIRV
